Creation of a "Reviewer" group on enwiki
Closed, ResolvedPublic

Description

Per:
http://en.wikipedia.org/wiki/Wikipedia:Requests_for_comment/Flagged_revisions_trial#Reviewer_usergroup

...there's a consensus that enwiki will need a "reviewer" group that admins will be able to add people to, managed the same way as "Rollbackers" currently is.

The full permissions of this group will added on June 15, with the rollout of "Pending changes". However, many admins would like to get a jump on adding people to the group over the weekend, since the requests are already piling up here:
http://en.wikipedia.org/wiki/Wikipedia:Requests_for_permissions/Reviewer

Could we create a reviewer group in advance of the full pending changes rollout? No extra permissions for this group would be needed at first.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz23922.
RobLa created this task.Via LegacyJun 11 2010, 10:26 PM
Catrope added a comment.Via ConduitJun 12 2010, 2:13 PM

Done. Added patrol and autopatrol permissions to this group because 1) the group needs to have some permissions in order to exist and 2) it has these permissions by default in the FlaggedRevs code (among other, FR-specific permissions).

RobLa added a comment.Via ConduitJun 13 2010, 1:16 AM

Looks great to me. Thanks!

Add Comment